Translathon for Wikimania 2016
Closed, ResolvedPublic

Description

Last year, a translathon has been organized: T91108.

2016's translation is open to all translators, remote or in Esino Lario. Attendees do not need to be a "tech person", just to know English and some other language(s). We try to focus on people who belong to "small wikis".

If you attend that session, you will learn how to:

  • identify interface messages
  • understand how translatewiki.net works
  • understand where is documentation concerning MediaWiki or some extensions and help to translate it
  • translate your first messages and improve your wiki's interface
  • any point that you want to know more about.

After a session to introduce you to translations (Room 30 in school, 22 June at 14:30), you will be able to continue making translations during the hackathon.

Note that session is not dedicated to Wikipedia's article translations. You can also learn how to translate documentation or newsletters.

Related links

Rfarrand added a subscriber: siebrand.EditedApr 14 2016, 8:32 PM

I spoke with the Esino Lario organizers and apparently there are going to be attendees at the hackathon who are not developers but can help with translation work. Can we also include this work at the hackathon?
@siebrand might be interested in helping too.

Can was also include this work at the hackathon?

Yes, definitely. It will be easier that way, I think.

Sure, no problem doing a translation session at the hackathon.

Sure, no problem doing a translation session at the hackathon.

Cool! I'll keep you posted about it. :)

Trizek-WMF raised the priority of this task from "Normal" to "High".May 24 2016, 4:52 PM
Quiddity moved this task from Sessions to Backlog on the Wikimania-Hackathon-2016 board.
Quiddity edited the task description. (Show Details)Jun 10 2016, 9:40 PM
Base added a subscriber: Base.Jun 12 2016, 1:37 AM

Only not just about VE if you please.

Base awarded a token.Jun 12 2016, 1:38 AM

I planned to focus on VE, Flow and Notifications.

For what is worth:

Any chance that the translatewiki import may occur before Wikimania? There will be a translathon during the event, so this would be a good match.

We will keep this task up to date about the technical possibility to include Phabricator to the mix. As of today, it would be perhaps too soon.

Trizek-WMF changed the title from "Think about a Translathon for Wikimania 2016" to "Translathon for Wikimania 2016".Jun 13 2016, 3:01 PM
Trizek-WMF moved this task from Backlog to Sessions on the Wikimania-Hackathon-2016 board.
Trizek-WMF edited the task description. (Show Details)Jun 13 2016, 3:13 PM
Trizek-WMF edited the task description. (Show Details)Jun 13 2016, 3:16 PM
Base added a comment.Jun 13 2016, 6:05 PM

Would be nice to have something besides the most loved by WMF extensions.

You can bring your favorite extension if you want and work on it. :)

We will try to focus on these extensions because they are released on a lot of small wikis, with sometimes missing translations due to the community size and/or an unawareness of how to translate. The goal is to combine both.

Base added a comment.Jun 13 2016, 6:16 PM

I do not think that e.g. TemplateData or Flow translation is what small wikis really need first of all. Just completing core MediaWiki and some more grounded extensions like AbuseFilter is of more import for those wikis, IMHO.

Quiddity edited the task description. (Show Details)Jun 15 2016, 10:06 PM
Quiddity edited the task description. (Show Details)Jun 15 2016, 10:14 PM
Ata added a subscriber: Ata.Jun 18 2016, 7:49 AM

@Base what small wikis are you talking about? Anyway this is Wikimedia's phabricator, so it makes sense to give priority to what the Wikimedia community consider more important, doesn't it?

For what it's worth, I completed what was still missing in the Esperanto translation for core Mediawiki this week. \o/ Some review would be nice ;)

Moreover, the whole Mediawiki translation "only" have 44% completed for esperanto (missing 15 828 of 28 537).

Trizek-WMF edited the task description. (Show Details)Jun 22 2016, 9:02 AM
siebrand edited the task description. (Show Details)Jun 22 2016, 9:30 AM
siebrand edited the task description. (Show Details)
Trizek-WMF edited the task description. (Show Details)Jun 22 2016, 10:33 AM
Trizek-WMF edited the task description. (Show Details)Jun 22 2016, 12:00 PM

Based on feedback received, I'll focus more on MediaWiki code. There is plenty of missing messages for some languages, or outdated ones.

In any case, bring your own needs, and we will try to give you answers! :)

Trizek-WMF closed this task as "Resolved".Jun 22 2016, 1:42 PM

Done! Two interested users helped about how to use TranslateWiki in an efficient way.

I think this is an interesting event to make, but with much more advertisement before. I want to do that again, but with real dedicated time (i.e. no big release during the weeks before, with documentation to write).

We should have a special focus on non-tech hackathon tasks like that one for next Hackathons.